{"openapi":"3.1.0","info":{"title":"Scrape Creators API","description":"The easiest way to scrape public social media data at scale. Extract profiles, posts, videos, comments, and more from TikTok, Instagram, YouTube, Twitter, LinkedIn, Facebook, Reddit, and 27+ platforms.","version":"1.0.0","contact":{"name":"Scrape Creators","url":"https://scrapecreators.com","email":"support@scrapecreators.com"}},"servers":[{"url":"https://api.scrapecreators.com","description":"Production server"}],"security":[{"apiKeyAuth":[]}],"tags":[{"name":"YouTube","description":"Scrape YouTube channels, videos, and more"}],"paths":{"/v1/youtube/channel-videos":{"get":{"tags":["YouTube"],"summary":"Channel Videos","description":"Fetches a paginated list of videos uploaded by a YouTube channel, including each video's title, URL, thumbnail, view count (views), publish date, duration, and description. Supports sorting by latest or popular, and use the continuationToken to page through all results. Optionally include extras like like count, comment count, and descriptions for each video.","parameters":[{"name":"channelId","in":"query","required":false,"description":"YouTube channel ID","schema":{"type":"string"},"example":"UC-9-kyTW8ZkZNDHQJ6FgpwQ"},{"name":"handle","in":"query","required":false,"description":"YouTube channel handle","schema":{"type":"string"},"example":"ThePatMcAfeeShow"},{"name":"sort","in":"query","required":false,"description":"Sort by latest or popular","schema":{"type":"string","enum":["latest","popular"]},"example":"latest"},{"name":"continuationToken","in":"query","required":false,"description":"Continuation token to get more videos. Get 'continuationToken' from previous response.","schema":{"type":"string"},"example":"4qmFsgKrCBIYVUNkRkpXVWE0M3NtUm00SXBIQnB"},{"name":"includeExtras","in":"query","required":false,"description":"This will get you the like + comment count and the description. To get the full details of the video, use the /v1/youtube/video endpoint. This will slow down the response slightly.","schema":{"type":"string"},"example":"false"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"example":{"videos":[{"type":"video","id":"5EWaxmWgQMI","url":"https://www.youtube.com/watch?v=5EWaxmWgQMI","title":"Russell Wilson Hopes To Finish Career As A Steeler, Reflects On NFL Career With Pat McAfee","description":"Welcome to The Pat McAfee Show LIVE from Noon-3PM EST Mon-Fri. You can also find us live on ESPN, ESPN+, & TikTok!\n\nBecome a #McAfeeMafia member! https://www.youtube.com/channel/UCxcTeAKWJca6XyJ37_...","thumbnail":"https://i.ytimg.com/vi/5EWaxmWgQMI/hqdefault.jpg?sqp=-oaymwEnCNACELwBSFryq4qpAxkIARUAAIhCGAHYAQHiAQoIGBACGAY4AUAB&rs=AOn4CLBZIBEJGcYDrduIZJpaSmYHcIHJ6g","channel":{"title":"","thumbnail":null},"viewCountText":"110,447 views","viewCountInt":110447,"publishedTimeText":"9 days ago","publishedTime":"2025-01-23T22:48:53.914Z","lengthText":"37:25","lengthSeconds":2245,"badges":[]}],"continuationToken":"4qmFsgLlFhIYV...."}}}}}}}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your Scrape Creators API key"}}}}